Package org.opensaml.xmlsec

# Class DecryptionParameters

java.lang.Object
org.opensaml.xmlsec.AlgorithmPolicyParameters
org.opensaml.xmlsec.DecryptionParameters

public class DecryptionParameters extends AlgorithmPolicyParameters
The effective parameters to use when decrypting encrypted XML.

## Field Summary

Fields
Modifier and Type
Field
Description
`private KeyInfoCredentialResolver`
`dataKeyInfoCredentialResolver`
The EncryptedData's KeyInfo credential resolver.
`private EncryptedKeyResolver`
`encryptedKeyResolver`
The EncryptedKey resolver.
`private KeyInfoCredentialResolver`
`kekKeyInfoCredentialResolver`
The EncryptedKey's KeyInfo credential resolver.
`private Set<String>`
`recipients`
The set of recipients against which to evaluate candidate EncryptedKey elements.

## Constructor Summary

Constructors
Constructor
Description
`DecryptionParameters()`

## Method Summary

Modifier and Type
Method
Description
`KeyInfoCredentialResolver`
`getDataKeyInfoCredentialResolver()`
Get the KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.
`EncryptedKeyResolver`
`getEncryptedKeyResolver()`
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.
`KeyInfoCredentialResolver`
`getKEKKeyInfoCredentialResolver()`
Get the KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).
`Set<String>`
`getRecipients()`
Get the set of recipients against which to evaluate candidate EncryptedKey elements.
`void`
`setDataKeyInfoCredentialResolver(KeyInfoCredentialResolver resolver)`
Set the KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.
`void`
`setEncryptedKeyResolver(EncryptedKeyResolver resolver)`
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.
`void`
`setKEKKeyInfoCredentialResolver(KeyInfoCredentialResolver resolver)`
Set the KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).
`void`
`setRecipients(Set<String> newRecipients)`
Set the set of recipients against which to evaluate candidate EncryptedKey elements.

### Methods inherited from class org.opensaml.xmlsec.AlgorithmPolicyParameters

`getExcludedAlgorithms, getIncludedAlgorithms, setExcludedAlgorithms, setIncludedAlgorithms`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### dataKeyInfoCredentialResolver

@Nullable private KeyInfoCredentialResolver dataKeyInfoCredentialResolver
The EncryptedData's KeyInfo credential resolver.

### kekKeyInfoCredentialResolver

@Nullable private KeyInfoCredentialResolver kekKeyInfoCredentialResolver
The EncryptedKey's KeyInfo credential resolver.

### encryptedKeyResolver

@Nullable private EncryptedKeyResolver encryptedKeyResolver
The EncryptedKey resolver.

### recipients

@Nullable private Set<String> recipients
The set of recipients against which to evaluate candidate EncryptedKey elements.

## Constructor Details

### DecryptionParameters

public DecryptionParameters()

## Method Details

### getDataKeyInfoCredentialResolver

@Nullable public KeyInfoCredentialResolver getDataKeyInfoCredentialResolver()
Get the KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.

Returns:
  the KeyInfoCredentialResolver instance

### setDataKeyInfoCredentialResolver

public void setDataKeyInfoCredentialResolver(@Nullable KeyInfoCredentialResolver resolver)
Set the KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.

Parameters:
  `resolver` - the KeyInfoCredentialResolver instance

### getKEKKeyInfoCredentialResolver

@Nullable public KeyInfoCredentialResolver getKEKKeyInfoCredentialResolver()
Get the KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).

Returns:
  the KeyInfoCredentialResolver instance

### setKEKKeyInfoCredentialResolver

public void setKEKKeyInfoCredentialResolver(@Nullable KeyInfoCredentialResolver resolver)
Set the KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).

Parameters:
  `resolver` - the KeyInfoCredentialResolver instance

### getEncryptedKeyResolver

@Nullable public EncryptedKeyResolver getEncryptedKeyResolver()
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.

Returns:
  the EncryptedKeyResolver instance

### setEncryptedKeyResolver

public void setEncryptedKeyResolver(@Nullable EncryptedKeyResolver resolver)
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.

Parameters:
  `resolver` - the EncryptedKeyResolver instance

### getRecipients

@Nullable public Set<String> getRecipients()
Get the set of recipients against which to evaluate candidate EncryptedKey elements.

Returns:
  the recipients

### setRecipients

public void setRecipients(@Nullable Set<String> newRecipients)
Set the set of recipients against which to evaluate candidate EncryptedKey elements.

Parameters:
  `newRecipients` - the recipients